<?php

require_once ('../system/function.php');

/*

BY ASADAL
STRONGCMS ДВИЖОК
YOUMAS.RU
SIMSTUDY.RU

*/


$key = 'WMID_OPLATA'; // Secret Key: // ВОДИМ СВОЙ KEY (ИЗ MERCHANT)
$wmr_k = 'R749270874763'; // Кошелек // ВВОДИМ СВОЙ КОШЕЛЕК ДЛЯ ПРИЕМА ПЛАТЕЖЕЙ

$summa = $_POST['LMI_PAYMENT_AMOUNT']; // Входящая сумма
$tel = $_POST['LMI_WMCHECK_NUMBER']; // Телефон
$email = $_POST['LMI_PAYMER_EMAIL']; // Email

$id = ($_POST['id']); // POST ID USER
$wmidpokupatela = $_POST['LMI_PAYER_WM']; // WMID WEBMONEY
$wmr_koch = $_POST['LMI_PAYEE_PURSE']; // WMR WEBMONEY


if (isset($_POST['LMI_PREREQUEST']))
{
mysql_query("UPDATE `us` SET `wmid` = '".$wmidpokupatela."', `wmr` = '".$wmr_koch."' WHERE `id` = '".$id."' LIMIT 1");
echo 'YES';
exit();
}


$chkstring = $wmr_k
.$_POST['LMI_PAYMENT_AMOUNT']
.$_POST['LMI_PAYMENT_NO']
.$_POST['LMI_MODE']
.$_POST['LMI_SYS_INVS_NO']
.$_POST['LMI_SYS_TRANS_NO']
.$_POST['LMI_SYS_TRANS_DATE']
.$key
.$_POST['LMI_PAYER_PURSE']
.$_POST['LMI_PAYER_WM'];
$md5sum = strtoupper(hash("sha256", $chkstring));
if($md5sum != $_POST['LMI_HASH'])
{
die('Ошибка');
exit();
}

exit();
?>